This release adds the ability to retrieve the provenance of a data point via the GET /data_points endpoint.
- New
include_sourcequery parameter: Passinclude_source=trueto include asourceobject on each returned data point. - New
sourceobject onDataPoint(experimental): Describes the origin of the data point value, derived from the latest version in the changelog. - New
DataPointSourceschema with:source_type— origin of the value (ai_inbox,update_request,user_provided, orunknown)label— human-readable description of the sourcevisible_url— deep link to the source in Visible, when available
2 structure changes including:
2 Modifications
Modified
2
GET /data_points
- Response
-
200 response Modified
-
application/json content type Modified
-
data_points property Modified
- source property Added
-
data_points property Modified
-
application/json content type Modified
- Query
- include_source query parameter Added
PUT /metrics/{metric_id}/data_points
- Response
-
200 response Modified
-
application/json content type Modified
-
data_points property Modified
- source property Added
-
data_points property Modified
-
application/json content type Modified
Added fiscal_year_end_month to portfolio company profile responses and clarified that data point dates are calendar period start dates.
3 structure changes including:
3 Modifications
Modified
3
GET /portfolio_company_profiles
- Response
-
200 response Modified
-
application/json content type Modified
-
portfolio_company_profiles property Modified
- fiscal_year_end_month property Added
-
portfolio_company_profiles property Modified
-
application/json content type Modified
POST /portfolio_company_profiles
- Body
-
application/json content type Modified
-
portfolio_company_profile property Modified
- fiscal_year_end_month property Added
-
portfolio_company_profile property Modified
- Response
-
201 response Modified
-
application/json content type Modified
-
portfolio_company_profile property Modified
- fiscal_year_end_month property Added
-
portfolio_company_profile property Modified
-
application/json content type Modified
PUT /portfolio_company_profiles/{id}
- Body
-
application/json content type Modified
-
portfolio_company_profile property Modified
- fiscal_year_end_month property Added
-
portfolio_company_profile property Modified
- Response
-
200 response Modified
-
application/json content type Modified
-
portfolio_company_profile property Modified
- fiscal_year_end_month property Added
-
portfolio_company_profile property Modified
-
application/json content type Modified
Manage portfolio files, folders, and file tags through the public API. This release adds direct file uploads, file listing and updates, folder management, tagging, and temporary download URLs.
15 structure changes including:
15 Additions
Added
15
DELETE /file_tags/{id}
DELETE /portfolio_files/{id}
DELETE /portfolio_folders/{id}
GET /file_tags
GET /portfolio_files
GET /portfolio_files/{id}
GET /portfolio_files/{id}/download_url
GET /portfolio_folders
POST /file_tags
POST /portfolio_file_upload_requests
POST /portfolio_files
POST /portfolio_folders
PUT /file_tags/{id}
PUT /portfolio_files/{id}
PUT /portfolio_folders/{id}
Note: portfolio notes endpoints should use "content" instead of "plaintext_content" going forward, however the old property will remain in the payload for backwards compatibility.
7 structure changes including:
3 Additions
4 Modifications
Modified
4
Breaking
GET /portfolio_notes
- Response
-
200 response Modified
-
application/json content type Modified
-
portfolio_notes property Modified
-
plaintext_content property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- id, content properties Added
-
plaintext_content property Removed
-
portfolio_notes property Modified
-
application/json content type Modified
GET /portfolio_notes/{id}
- Response
-
200 response Modified
-
application/json content type Modified
-
portfolio_note property Modified
-
plaintext_content property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- id, content properties Added
-
plaintext_content property Removed
-
portfolio_note property Modified
-
application/json content type Modified
GET /portfolio_property_values
- Response
-
200 response Modified
-
application/json content type Modified
-
portfolio_property_values property Modified
-
value property Modified
-
Type went from
string | number | boolean | array | nulltostring | number | array | nullBreaking
-
Type went from
-
value property Modified
-
portfolio_property_values property Modified
-
application/json content type Modified
PUT /portfolio_property_values
- Response
-
201 response Modified
-
application/json content type Modified
-
portfolio_property_value property Modified
-
value property Modified
-
Type went from
string | number | boolean | array | nulltostring | number | array | nullBreaking
-
Type went from
-
value property Modified
-
portfolio_property_value property Modified
-
application/json content type Modified
-
200 response Modified
-
application/json content type Modified
-
portfolio_property_value property Modified
-
value property Modified
-
Type went from
string | number | boolean | array | nulltostring | number | array | nullBreaking
-
Type went from
-
value property Modified
-
portfolio_property_value property Modified
-
application/json content type Modified
Added
3
GET /note_tags
POST /notes
POST /portfolio_notes
Added endpoints to create portfolio company profiles and change portfolio property values (investor product)
6 structure changes including:
4 Additions
2 Modifications
Modified
2
GET /portfolio_company_profiles
- Response
-
200 response Modified
-
application/json content type Modified
-
portfolio_company_profiles property Modified
- website_url, currency, primary_contact_id properties Added
-
portfolio_company_profiles property Modified
-
application/json content type Modified
GET /portfolio_property_values
- Response
-
200 response Modified
-
application/json content type Modified
-
portfolio_property_values property Modified
- portfolio_property_option_id, portfolio_property_option_ids properties Added
-
portfolio_property_values property Modified
-
application/json content type Modified
Added
4
GET /portfolio_property_options
POST /portfolio_company_profiles
PUT /portfolio_company_profiles/{id}
PUT /portfolio_property_values
1 structure change including:
1 Modification
Modified
1
GET /portfolio_property_values
- Response
-
200 response Modified
-
application/json content type Modified
-
portfolio_property_values property Modified
-
value property Modified
-
Type went from
string | number | boolean | nulltostring | number | boolean | array | null
-
Type went from
-
value property Modified
-
portfolio_property_values property Modified
-
application/json content type Modified
2 structure changes including:
2 Additions
Added
2
GET /portfolio_properties
GET /portfolio_property_values